#!/bin/sh

export PKG_CONFIG_PATH=$PWD/install/lib/pkgconfig/
export LD_LIBRARY_PATH=$PWD/install/lib/

git clone git://git.osmocom.org/libosmocore.git
cd libosmocore/
autoreconf --install --force; ./configure --prefix=$PWD/install
make -e CFLAGS="--coverage -O2" LDFLAGS="-fprofile-arcs --coverage -lgcov" V=1
make check
make install
cd ../



git clone git://git.osmocom.org/libosmo-abis.git
cd libosmo-abis/
autoreconf --install --force; ./configure --prefix=$PWD/install; make -e CFLAGS="--coverage -O2" LDFLAGS="-fprofile-arcs --coverage -lgcov" V=1; make check; make install
cd ..


git clone git://git.osmocom.org/libosmo-sccp.git
cd libosmo-sccp/
autoreconf --install --force; ./configure --prefix=$PWD/install; make -e CFLAGS="--coverage -O2" LDFLAGS="-fprofile-arcs --coverage -lgcov" V=1; make check; make install
cd ..


git clone git://git.osmocom.org/openbsc
cd openbsc/openbsc/
autoreconf --install --force; ./configure --enable-nat --enable-osmo-bsc --prefix=$PWD/install; make -e CFLAGS="--coverage -O2" LDFLAGS="-fprofile-arcs --coverage -lgcov" V=1; make check; make install
cd ../../

# generate coverage
lcov  -t "Osmocom" -c -d . -o osmocom.info
genhtml -o html osmocom.info 
epiphany html/index.html 

